Package org.apache.sysds.runtime.instructions.spark.functions

# Class ExtractGroup

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.ExtractGroup

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExtractGroup.ExtractGroupBroadcast`, `ExtractGroup.ExtractGroupJoin`

public abstract class ExtractGroup extends Object implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ExtractGroup.ExtractGroupBroadcast`
`static class`
`ExtractGroup.ExtractGroupJoin`

## Constructor Summary

Constructors
Constructor
Description
`ExtractGroup(long blen, long ngroups, Operator op)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractGroup

public ExtractGroup(long blen, long ngroups, Operator op)